# $Revision: 1.12 $, $Date: 2005/01/05 15:42:41 $
# TODO:
# - desktop file and icons
Summary:	Minimalist on screen OSD clock for X11
Summary(pl):	Minimalistyczny zegar OSD dla X11
Name:		osd_clock
Version:	0.5
Release:	6
License:	GPL
Group:		X11/Applications
Source0:	http://leftorium.net/software/%{name}-%{version}.tar.gz
# Source0-md5:	a6f30cc032336b34c10eb06602dc43ff
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-0.5-xosd-2.0.patch
Patch2:		%{name}-amd64.patch
URL:		http://leftorium.net/software.phtml
BuildRequires:	XFree86-devel
BuildRequires:	xosd-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OSD clock designed for minimalist desktops. Cushy fly and speedy.

%description -l pl
Zegar OSD stworzony dla minimalistycznych desktopw. Szybki i lekki.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%ifarch amd64
%patch2 -p1
%endif

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Wall -I. -DXOSD_VERSION=\\\"\$(VERSION)\\\" -I/usr/X11R6/include"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	PREFIX=%{_prefix} \
	MANDIR=%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: osd_clock.spec,v $
Revision 1.12  2005/01/05 15:42:41  kolodko
- added amd64 patch
- rel 6
- STBR

Revision 1.11  2005/01/05 15:18:38  qboosh
- quoting fix

Revision 1.10  2005/01/05 12:33:04  kolodko
- replace osd_clock-missing_arg by osd_clock-0.5-xosd-2.0 from cvs
- rel 5
- STBR Ac

Revision 1.9  2005/01/04 12:41:23  blues
- cosmetics

Revision 1.8  2005/01/04 12:19:24  kolodko
- use %{__cc} %{rpmcflags}
- what for /sbin/ldconfig ??
- rel 4

Revision 1.7  2003/05/28 13:00:09  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:24:32  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/03/14 08:29:45  misi3k
- added missing_arg patch
- rel 3

Revision 1.4  2003/01/18 22:54:56  juandon
- removed two lines with define

Revision 1.3  2002/07/19 22:23:04  blues
- release 2
STBR - rebuild with new xosd (soname changed)

Revision 1.2  2002/07/13 15:40:15  blues
- release 1, of course

Revision 1.1  2002/07/13 15:32:16  blues
- initial release

